Last Comment Bug 306263 - "xulrunner -console application.ini" exits without displaying information on Usage
: "xulrunner -console application.ini" exits without displaying information on ...
Status: RESOLVED INCOMPLETE
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: XULRunner (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-28 13:25 PDT by Alex Vincent [:WeirdAl]
Modified: 2016-02-12 08:12 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Alex Vincent [:WeirdAl] 2005-08-28 13:25:20 PDT
The -console option is great for debugging, particularly with the dump()
statement.  Unfortunately, it doesn't work for XULRunner in optimized builds.
Comment 1 James Ross 2005-08-28 13:31:13 PDT
Define 'doesn't work' please.

I am fairly sure all toolkit apps have some issues with their console on
Windows. Is it just not printing anything, or what?

Also, this WFM in my XULRunner 1.8b4_2005071504 build.
Comment 2 James Ross 2005-08-28 13:32:31 PDT
Note that you must set the dump pref, and -console must be specified *after* the
-app item, or XULRunner does nothing (bug?).
Comment 3 Alex Vincent [:WeirdAl] 2005-08-28 13:38:42 PDT
Meh, that might explain it.  I thought -console had to be one of the first
arguments on the command line.  I'm going off what I remember about my laptop,
until my opt build finishes on my desktop.
Comment 4 James Ross 2005-08-28 13:40:09 PDT
Passing -console first leads to nothing happening here, which is wrong.
XULRunner should either issue an error or work, so there is a bug of sorts.
Comment 5 James Ross 2005-08-28 13:56:29 PDT
One could even argue that passing -console should automatically default the dump
preference to true, rather than false, but that's really a separate issue.

http://lxr.mozilla.org/seamonkey/source/xulrunner/app/nsXULRunnerApp.cpp#396

That code really ought to check if the first parameter (which is it blindly
assuming is a path to an app data file) is an argument (i.e. starts with - or /,
etc.).
Comment 6 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-08-29 05:49:34 PDT
And do what with it?
Comment 7 James Ross 2005-08-29 07:02:08 PDT
And print out the usage or similar, to indicate you got the parameters wrong. An
alternative would be to just display an error if the app data file is not there,
rather than also doing nothing.
Comment 8 Nickolay_Ponomarev 2006-03-10 09:12:21 PST
Fixed by a patch in bug 326449?
Comment 9 Wayne Mery (:wsmwk, NI for questions) 2009-06-06 09:48:45 PDT
James do you still see this?
Comment 10 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2016-02-12 07:18:36 PST
XULRunner has been removed from the Mozilla tree: see https://groups.google.com/forum/#!topic/mozilla.dev.platform/_rFMunG2Bgw for context.

I am closing all the bugs currently in the XULRunner bugzilla component, in preparation for moving this component to the graveyard. If this bug is still valid in a XULRunner-less world, it will need to be moved to a different bugzilla component to be reopened.

Note You need to log in before you can comment on or make changes to this bug.